Arduino

Serial

## read()

#### Description

Reads incoming serial data. read() inherits from the Stream utility class.

#### Syntax

Serial.read()

Arduino Mega only:
Serial1.read()
Serial2.read()
Serial3.read()

### Parameters

None

#### Returns

the first byte of incoming serial data available (or -1 if no data is available) - int

### Example

int incomingByte = 0; // for incoming serial data
void setup() {
Serial.begin(9600); // opens serial port, sets data rate to 9600 bps
}
void loop() {
// send data only when you receive data:
if (Serial.available() > 0) {
// read the incoming byte:
incomingByte = Serial.read();
// say what you got:
Serial.print("I received: ");
Serial.println(incomingByte, DEC);
}
}
[Get Code]

#### See also

- begin()
- end()
- available()
- read()
- peek()
- parseInt()
- flush()
- print()
- println()
- write()
- SerialEvent()
- Stream.read()

Reference Home

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes